// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/charger/GetCompositeSchedule.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace GetCompositeSchedule {

  /// <summary>Holder for reflection information generated from command/charger/GetCompositeSchedule.proto</summary>
  public static partial class GetCompositeScheduleReflection {

    #region Descriptor
    /// <summary>File descriptor for command/charger/GetCompositeSchedule.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static GetCompositeScheduleReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cipjb21tYW5kL2NoYXJnZXIvR2V0Q29tcG9zaXRlU2NoZWR1bGUucHJvdG8S",
            "FmdldF9jb21wb3NpdGVfc2NoZWR1bGUaH2dvb2dsZS9wcm90b2J1Zi90aW1l",
            "c3RhbXAucHJvdG8aJWNvbW1hbmQvY2hhcmdlci9DaGFyZ2luZ1Byb2ZpbGUu",
            "cHJvdG8ipQEKG0dldENvbXBvc2l0ZVNjaGVkdWxlQ29tbWFuZBIUCgxjb25u",
            "ZWN0b3JfaWQYASABKAUSEAoIZHVyYXRpb24YAiABKAUSRwoSY2hhcmdpbmdf",
            "cmF0ZV91bml0GAMgASgOMiYuY2hhcmdpbmdfcHJvZmlsZS5DaGFyZ2luZ1Jh",
            "dGVVbml0VHlwZUgAiAEBQhUKE19jaGFyZ2luZ19yYXRlX3VuaXQimQMKI0dl",
            "dENvbXBvc2l0ZVNjaGVkdWxlQ29tbWFuZFJlc3BvbnNlEmYKBnN0YXR1cxgB",
            "IAEoDjJWLmdldF9jb21wb3NpdGVfc2NoZWR1bGUuR2V0Q29tcG9zaXRlU2No",
            "ZWR1bGVDb21tYW5kUmVzcG9uc2UuR2V0Q29tcG9zaXRlU2NoZWR1bGVTdGF0",
            "dXMSGQoMY29ubmVjdG9yX2lkGAIgASgFSACIAQESNwoOc2NoZWR1bGVfc3Rh",
            "cnQYAyABKAsyGi5nb29nbGUucHJvdG9idWYuVGltZXN0YW1wSAGIAQESQgoR",
            "Y2hhcmdpbmdfc2NoZWR1bGUYBCABKAsyIi5jaGFyZ2luZ19wcm9maWxlLkNo",
            "YXJnaW5nU2NoZWR1bGVIAogBASI4ChpHZXRDb21wb3NpdGVTY2hlZHVsZVN0",
            "YXR1cxIMCghBY2NlcHRlZBAAEgwKCFJlamVjdGVkEAFCDwoNX2Nvbm5lY3Rv",
            "cl9pZEIRCg9fc2NoZWR1bGVfc3RhcnRCFAoSX2NoYXJnaW5nX3NjaGVkdWxl",
            "QpIBCiFjb20uY29kaWJseS5tb2RlbC5jb21tYW5kLmNoYXJnZXJCGUdldENv",
            "bXBvc2l0ZVNjaGVkdWxlUHJvdG/KAiFEb21haW5Nb2RlbFxQcm90b1xDb21t",
            "YW5kXENoYXJnZXLiAi1Eb21haW5Nb2RlbFxQcm90b1xDb21tYW5kXENoYXJn",
            "ZXJcR1BCTWV0YWRhdGFiBnByb3RvMw=="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, global::ChargingProfile.ChargingProfileReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::GetCompositeSchedule.GetCompositeScheduleCommand), global::GetCompositeSchedule.GetCompositeScheduleCommand.Parser, new[]{ "ConnectorId", "Duration", "ChargingRateUnit" }, new[]{ "ChargingRateUnit" }, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::GetCompositeSchedule.GetCompositeScheduleCommandResponse), global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Parser, new[]{ "Status", "ConnectorId", "ScheduleStart", "ChargingSchedule" }, new[]{ "ConnectorId", "ScheduleStart", "ChargingSchedule" }, new[]{ typeof(global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class GetCompositeScheduleCommand : pb::IMessage<GetCompositeScheduleCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<GetCompositeScheduleCommand> _parser = new pb::MessageParser<GetCompositeScheduleCommand>(() => new GetCompositeScheduleCommand());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<GetCompositeScheduleCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::GetCompositeSchedule.GetCompositeScheduleReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetCompositeScheduleCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetCompositeScheduleCommand(GetCompositeScheduleCommand other) : this() {
      _hasBits0 = other._hasBits0;
      connectorId_ = other.connectorId_;
      duration_ = other.duration_;
      chargingRateUnit_ = other.chargingRateUnit_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetCompositeScheduleCommand Clone() {
      return new GetCompositeScheduleCommand(this);
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 1;
    private int connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ConnectorId {
      get { return connectorId_; }
      set {
        connectorId_ = value;
      }
    }

    /// <summary>Field number for the "duration" field.</summary>
    public const int DurationFieldNumber = 2;
    private int duration_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int Duration {
      get { return duration_; }
      set {
        duration_ = value;
      }
    }

    /// <summary>Field number for the "charging_rate_unit" field.</summary>
    public const int ChargingRateUnitFieldNumber = 3;
    private global::ChargingProfile.ChargingRateUnitType chargingRateUnit_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ChargingProfile.ChargingRateUnitType ChargingRateUnit {
      get { if ((_hasBits0 & 1) != 0) { return chargingRateUnit_; } else { return global::ChargingProfile.ChargingRateUnitType.W; } }
      set {
        _hasBits0 |= 1;
        chargingRateUnit_ = value;
      }
    }
    /// <summary>Gets whether the "charging_rate_unit" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasChargingRateUnit {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "charging_rate_unit" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearChargingRateUnit() {
      _hasBits0 &= ~1;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as GetCompositeScheduleCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(GetCompositeScheduleCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (ConnectorId != other.ConnectorId) return false;
      if (Duration != other.Duration) return false;
      if (ChargingRateUnit != other.ChargingRateUnit) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (ConnectorId != 0) hash ^= ConnectorId.GetHashCode();
      if (Duration != 0) hash ^= Duration.GetHashCode();
      if (HasChargingRateUnit) hash ^= ChargingRateUnit.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (ConnectorId != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (Duration != 0) {
        output.WriteRawTag(16);
        output.WriteInt32(Duration);
      }
      if (HasChargingRateUnit) {
        output.WriteRawTag(24);
        output.WriteEnum((int) ChargingRateUnit);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (ConnectorId != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (Duration != 0) {
        output.WriteRawTag(16);
        output.WriteInt32(Duration);
      }
      if (HasChargingRateUnit) {
        output.WriteRawTag(24);
        output.WriteEnum((int) ChargingRateUnit);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (ConnectorId != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ConnectorId);
      }
      if (Duration != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(Duration);
      }
      if (HasChargingRateUnit) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) ChargingRateUnit);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(GetCompositeScheduleCommand other) {
      if (other == null) {
        return;
      }
      if (other.ConnectorId != 0) {
        ConnectorId = other.ConnectorId;
      }
      if (other.Duration != 0) {
        Duration = other.Duration;
      }
      if (other.HasChargingRateUnit) {
        ChargingRateUnit = other.ChargingRateUnit;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 16: {
            Duration = input.ReadInt32();
            break;
          }
          case 24: {
            ChargingRateUnit = (global::ChargingProfile.ChargingRateUnitType) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 16: {
            Duration = input.ReadInt32();
            break;
          }
          case 24: {
            ChargingRateUnit = (global::ChargingProfile.ChargingRateUnitType) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

  }

  public sealed partial class GetCompositeScheduleCommandResponse : pb::IMessage<GetCompositeScheduleCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<GetCompositeScheduleCommandResponse> _parser = new pb::MessageParser<GetCompositeScheduleCommandResponse>(() => new GetCompositeScheduleCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<GetCompositeScheduleCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::GetCompositeSchedule.GetCompositeScheduleReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetCompositeScheduleCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetCompositeScheduleCommandResponse(GetCompositeScheduleCommandResponse other) : this() {
      _hasBits0 = other._hasBits0;
      status_ = other.status_;
      connectorId_ = other.connectorId_;
      scheduleStart_ = other.scheduleStart_ != null ? other.scheduleStart_.Clone() : null;
      chargingSchedule_ = other.chargingSchedule_ != null ? other.chargingSchedule_.Clone() : null;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetCompositeScheduleCommandResponse Clone() {
      return new GetCompositeScheduleCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus status_ = global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 2;
    private int connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ConnectorId {
      get { if ((_hasBits0 & 1) != 0) { return connectorId_; } else { return 0; } }
      set {
        _hasBits0 |= 1;
        connectorId_ = value;
      }
    }
    /// <summary>Gets whether the "connector_id" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasConnectorId {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "connector_id" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearConnectorId() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "schedule_start" field.</summary>
    public const int ScheduleStartFieldNumber = 3;
    private global::Google.Protobuf.WellKnownTypes.Timestamp scheduleStart_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Google.Protobuf.WellKnownTypes.Timestamp ScheduleStart {
      get { return scheduleStart_; }
      set {
        scheduleStart_ = value;
      }
    }

    /// <summary>Field number for the "charging_schedule" field.</summary>
    public const int ChargingScheduleFieldNumber = 4;
    private global::ChargingProfile.ChargingSchedule chargingSchedule_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ChargingProfile.ChargingSchedule ChargingSchedule {
      get { return chargingSchedule_; }
      set {
        chargingSchedule_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as GetCompositeScheduleCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(GetCompositeScheduleCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      if (ConnectorId != other.ConnectorId) return false;
      if (!object.Equals(ScheduleStart, other.ScheduleStart)) return false;
      if (!object.Equals(ChargingSchedule, other.ChargingSchedule)) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus.Accepted) hash ^= Status.GetHashCode();
      if (HasConnectorId) hash ^= ConnectorId.GetHashCode();
      if (scheduleStart_ != null) hash ^= ScheduleStart.GetHashCode();
      if (chargingSchedule_ != null) hash ^= ChargingSchedule.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (HasConnectorId) {
        output.WriteRawTag(16);
        output.WriteInt32(ConnectorId);
      }
      if (scheduleStart_ != null) {
        output.WriteRawTag(26);
        output.WriteMessage(ScheduleStart);
      }
      if (chargingSchedule_ != null) {
        output.WriteRawTag(34);
        output.WriteMessage(ChargingSchedule);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (HasConnectorId) {
        output.WriteRawTag(16);
        output.WriteInt32(ConnectorId);
      }
      if (scheduleStart_ != null) {
        output.WriteRawTag(26);
        output.WriteMessage(ScheduleStart);
      }
      if (chargingSchedule_ != null) {
        output.WriteRawTag(34);
        output.WriteMessage(ChargingSchedule);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (HasConnectorId) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ConnectorId);
      }
      if (scheduleStart_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(ScheduleStart);
      }
      if (chargingSchedule_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(ChargingSchedule);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(GetCompositeScheduleCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus.Accepted) {
        Status = other.Status;
      }
      if (other.HasConnectorId) {
        ConnectorId = other.ConnectorId;
      }
      if (other.scheduleStart_ != null) {
        if (scheduleStart_ == null) {
          ScheduleStart = new global::Google.Protobuf.WellKnownTypes.Timestamp();
        }
        ScheduleStart.MergeFrom(other.ScheduleStart);
      }
      if (other.chargingSchedule_ != null) {
        if (chargingSchedule_ == null) {
          ChargingSchedule = new global::ChargingProfile.ChargingSchedule();
        }
        ChargingSchedule.MergeFrom(other.ChargingSchedule);
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus) input.ReadEnum();
            break;
          }
          case 16: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 26: {
            if (scheduleStart_ == null) {
              ScheduleStart = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(ScheduleStart);
            break;
          }
          case 34: {
            if (chargingSchedule_ == null) {
              ChargingSchedule = new global::ChargingProfile.ChargingSchedule();
            }
            input.ReadMessage(ChargingSchedule);
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::GetCompositeSchedule.GetCompositeScheduleCommandResponse.Types.GetCompositeScheduleStatus) input.ReadEnum();
            break;
          }
          case 16: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 26: {
            if (scheduleStart_ == null) {
              ScheduleStart = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(ScheduleStart);
            break;
          }
          case 34: {
            if (chargingSchedule_ == null) {
              ChargingSchedule = new global::ChargingProfile.ChargingSchedule();
            }
            input.ReadMessage(ChargingSchedule);
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the GetCompositeScheduleCommandResponse message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum GetCompositeScheduleStatus {
        [pbr::OriginalName("Accepted")] Accepted = 0,
        [pbr::OriginalName("Rejected")] Rejected = 1,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
